Subject: bug#65447: 30.0.50; Gnus: No such function: nnfolder-server-opened

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Aug 2023 14:20:44 +0300

> From: Gerd Möllmann <[email-masked]>
> Date: Tue, 22 Aug 2023 09:29:39 +0200
> 
> Gerd Möllmann <[email-masked]> writes:
> 
> > I get the following error when starting Gnus with M-x gnus.
> >
> >   No such function: nnfolder-server-opened
> >
> > The function nnfolder-server-opened is indeed defined nowhere I can
> > find.  In case it matters, I had a Gnus autosave file.  After M-x gnus,
> > I answered 'n' to the question if the autosave file should be used.
> > After that, the error is signaled.
> 
> Once nnfolder is loaded, nnfolder-server-opened is defined as a
> function.  It is defined by the macro
> 
> (nnoo-define-basics nnfolder)
> 
> in nnfolder.el.
> 
> I can work around this by manually requiring nnfolder in init.el.  Alas,
> I don't know much about Gnus internals to determine what the right fix
> would be.

Andrew and Eric, can you please help Gerd with this issue?